#include <cstdio>

#include "rendering/Window.h"

static void tick() {
}

static void render(float lag) {
    (void)lag;
}

static bool shouldRun() {
    return !Window::shouldClose();
}

int main() {
    Error e = Window::open(
        Window::Options(4, 6, IntVector2(400, 300), false, "Catan Simulator"));
    if(e.has()) {
        e.message.printLine();
        return 0;
    }
    Window::show();
    Window::run<shouldRun, tick, render>(10'000'000);
    return 0;
}